Overview | Package | Class | Tree | Deprecated | Index | Help
| © 2005 BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bea.netuix.application.view
Interface ParentView

All Known Subinterfaces:
  BookView, DesktopView, PageView

public interface ParentView

A type of view that can contain Pages, Books or Portlets and supports methods for recursively searching them.

Method Summary
`BookView` | `getBookView(String definitionLabel)` Gets an immediate child book with a given label.
`BookView` | `getBookViewRecursive(BookDefinitionId bookDefinitionId)` Get the book for a given database definition ID, searching the entire tree of nested books and pages.
`BookView` | `getBookViewRecursive(BookInstanceId bookInstanceId)` Get the book for a given database instance ID, searching the entire tree of nested books.
`BookView` | `getBookViewRecursive(String bookDefinitionLabel)` Get the book for a given definition label, searching the entire tree of nested books.
`PageView` | `getPageView(String definitionLabel)` Gets an immediate child page with a given label.
`PageView` | `getPageViewRecursive(PageDefinitionId pageDefinitionId)` Get the page for a given database definition ID, searching the entire tree of nested books.
`PageView` | `getPageViewRecursive(PageInstanceId pageInstanceId)` Get the page for a given database instance ID, searching the entire tree of nested books.
`PageView` | `getPageViewRecursive(String pageDefinitionLabel)` Get the book for a given definition label, searching the entire tree of nested books.
`PortletView` | `getPortletViewRecursive(PortletInstanceId portletInstanceId)` Get the portlet for a given database instance id, searching the entire tree of nested books.
`PortletView` | `getPortletViewRecursive(String instanceLabel)` Get the portlet for a given instance label, searching the entire tree of nested books.

Method Detail

### getBookView

    public BookView getBookView(String definitionLabel)

  Gets an immediate child book with a given label.

  Parameters:
    `definitionLabel` - of the child we are looking for.
  Returns:
    the book view if it exists otherwise null.

### getBookViewRecursive

    public BookView getBookViewRecursive(BookDefinitionId bookDefinitionId)

  Get the book for a given database definition ID, searching the entire tree of nested books and pages. Return null if no such book is found.

### getBookViewRecursive

    public BookView getBookViewRecursive(BookInstanceId bookInstanceId)

  Get the book for a given database instance ID, searching the entire tree of nested books. Return null if no such book is found.

### getBookViewRecursive

    public BookView getBookViewRecursive(String bookDefinitionLabel)

  Get the book for a given definition label, searching the entire tree of nested books. Return null if no such book is found.

### getPageView

    public PageView getPageView(String definitionLabel)

  Gets an immediate child page with a given label.

  Parameters:
    `definitionLabel` - of the child we are looking for.
  Returns:
    the page view if it exists otherwise null.

### getPageViewRecursive

    public PageView getPageViewRecursive(PageDefinitionId pageDefinitionId)

  Get the page for a given database definition ID, searching the entire tree of nested books. Return null if no such page is found.

### getPageViewRecursive

    public PageView getPageViewRecursive(PageInstanceId pageInstanceId)

  Get the page for a given database instance ID, searching the entire tree of nested books. Return null if no such page is found.

### getPageViewRecursive

    public PageView getPageViewRecursive(String pageDefinitionLabel)

  Get the book for a given definition label, searching the entire tree of nested books. Return null if no such page is found.

### getPortletViewRecursive

    public PortletView getPortletViewRecursive(PortletInstanceId portletInstanceId)

  Get the portlet for a given database instance id, searching the entire tree of nested books. Return null if no such portlet is found.

  Parameters:
    `portletInstanceId` - as defined in the database.
  Returns:
    a portletView if found otherwise null

### getPortletViewRecursive

    public PortletView getPortletViewRecursive(String instanceLabel)

  Get the portlet for a given instance label, searching the entire tree of nested books. Return null if no such portlet is found.

  Parameters:
    `instanceLabel` - the instance label of the portlet.
  Returns:
    a portletView if found otherwise null

Overview | Package | Class | Tree | Deprecated | Index | Help
| © 2005 BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2005 BEA Systems, Inc. All Rights Reserved